Subject: Fwd: Cleaned-up Priority List

From: Margaret Wasserman <[email-masked]>
Date: Thu, 11 Jul 2002 18:06:37 -0400

Hi All,

As you've seen on the agenda, we'll be holding a discussion in Yokohama
on the priorities of the IPv6 WG.  Bob, Steve and I have come up with
a priority list (attached), and we are currently executing on these
priorities.  

This list is not in strict priority order, it is grouped into several 
categories:

	- Urgent for deployment
	- Completing current work
	- Longer term, but important
	- Moving PS specs to DS

Obviously, we are capable of working on many things at once.  So, the 
order of this list is much less important than what is and isn't included.

At the bottom, we've listed some items that we think should be given
priority within the IETF, but that are outside the scope of the IPv6 WG.

We're very interested in WG opinion regarding these priorities, including
items that should be added, deleted or re-categorized.

Thanks,
Margaret

IPv6 WG Priority List 
=====================================================

Urgent for Deployment:

	DNS Discovery
		Status:  New draft available

	Prefix Delegation
		Status:  Initial requirements draft available

	IPv6 MIBs (combined IPv4/IPv6 versions)
		Status:  Four new MIB drafts available

Completing Current Work:

	Default Address Selection
		Status:  In IESG for PS

	Addressing Architecture
		Status:  In IESG for DS, new draft available with
			 updates based on IESG feedback.

	Aggregatable Unicast Addresses
		Status:  Waiting for resolution on Addr Arch issues,
		         then updates required.

	Basic Sockets Extensions
		Status:  In IESG for Informational, update may be
			 required to resolve normative reference

	Advanced Sockets API
		Status:  In IESG for Informational

	Update to ICMPv6
		Status:  In IESG for PS

	Router Preferences & Load Sharing
		Status:  WG Last Call completed, ready to submit to 
		         IESG for PS

	Requirements for Cellular Hosts 
		Status:  Accepted by IESG for Informational

	Node Information Queries (in IETF last call)
		Status:  In IESG for PS

	DAD (or DIID?) Fixes to Autoconf, Privacy Addresses and/or Addr Arch
		Status:  Discussion planned for Yokohama, may require
		         changes to several specifications

	IPv6 Node Requirements
		Status:  Initial draft available

Longer Term, but Important:

	Flow Label
		Status:  New draft available

	Scoped Addressing Architecture
		Status:  New draft available

	IPv6 over 3GPP PDP Contexts (standards track)
		Status:  Do we need this?

	IPv6 over PPP update
		Status:	 Is an update required?

	Point-to-point related updates to ND/Autoconf/etc. 
		Status:  Are any updates required?

Moving PS specs to DS:

	RFC1886: DNS Extensions for IPv6
		Status:  Requires updates for .INT -> .ARPA

	RFC2464: IPv6 over Ethernet 
	RFC2467: IPv6 over FDDI 
		Status:  Ready to advance, working on implementation 
		         checklists

	RFC2473: Generic Packet Tunneling in IPv6 Specification 
		Status:  Waiting for response from authors

	RFC2710: MLD for IPv6 
		Status:  Keep at PS to be updated by MLDv2 from
			 magma WG

	RFC2526: Reserved IPv6 Subnet Anycast Addr
		Status:  Ready to advance, not clear how/if to 
			 document implementation

Priorities for the IETF (not necessarily within IPv6 WG)
=====================================================

Secure, robust plug-and-play 

Multi-link Subnets

Anycast architecture 

Routing protocol updates to IPv6 routing protocols (in OSPF, BGP WGs) 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: [email-masked]
Date: Fri, 12 Jul 2002 12:08:13 +0900

>			 updates based on IESG feedback.

	Regarding to site-local (whether it is needed or not) the above two
	closely related to each other.

>		Status:  Are any updates required?

	in what aspect?  i don't recall any issues raised.

>Priorities for the IETF (not necessarily within IPv6 WG)

	home address option handling (mobileip)
		if they want to mandate it, they have to set it in stone NOW.

itojun

---

From: "Toshi Yamasaki" <[email-masked]>
Date: Fri, 12 Jul 2002 12:32:54 +0900

> Status:  Initial requirements draft available

and several drafts (DHCP-PD, APD, RA, etc.) are available.

> Status:  Are any updates required?

Did you get any voices for need of updates?

---

From: Pekka Savola <[email-masked]>
Date: Fri, 12 Jul 2002 09:16:15 +0300 (EEST)

> 		if they want to mandate it, they have to set it in stone NOW.

And Return Routability tests, and ..., and ...

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords